GNU bug report logs - #47389
27.1.91; completion issue on eshell

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrés Ramírez <rrandresf@HIDDEN>; merged with #41423; dated Thu, 25 Mar 2021 15:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 41423 47389. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47389 <at> debbugs.gnu.org:


Received: (at 47389) by debbugs.gnu.org; 25 Apr 2021 19:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 15:03:47 2021
Received: from localhost ([127.0.0.1]:43841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lak2l-0006sl-EJ
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:03:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lak2j-0006sY-Ts
 for 47389 <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:03:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=zMWXoOZm5SNSlOJYC58gl/VFjWB++FQSRqYCPa7ToQs=; b=SkjEG/+fNzP124TvcN0vmnSo0w
 eL52KOcYn2UhPkdkFQ87dAbGGOihvpNwpFUi60Z94XCBJtVcWUa6zPqcc7DufJnPGC0HSdHu4iGG3
 HDKWo44aiAVBvtpkGOs81bDF/3QDkM6wzATNDlf2IgztUkkrd0gUsctQSujcv3tRhSzc=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lak2Y-0001Dx-MB; Sun, 25 Apr 2021 21:03:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?andr=C3=A9s_ram=C3=ADrez?= <rrandresf@HIDDEN>
Subject: Re: bug#47389: 27.1.91; completion issue on eshell
References: <86czvn46dv.fsf@HIDDEN> <878s6a87ge.fsf@HIDDEN>
 <868s6af7e4.fsf@HIDDEN> <87lfa87pb1.fsf@HIDDEN>
 <86v98faaho.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEU1NimsbSbEmhh+
 hYb////81lOLAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UEGRMAB9LIFs4AAAGwSURBVDjLbVRRlsQg
 CIN6AbAXEE7QLve/2wbUvuns+uGoMQRCHSIlcnch+hmHGVF3FnYsAJAqgE6HOTZ+DHYseh4S55QM
 VeMCpAsJuY68OzAjKkINTLjesct7llzDJlGIKADVwd26e2VyIFSJsObBkAk4blJepYw/M/M9kAoO
 BqIm+gK6Idc+skSMHWwCUgdYVs4LEKSSxbNrGbOjkRzORusm1Y0dyssTpA4Gpv4BlGxS7HjSQqgS
 n8GteJshC+BMYimka51egx/GUmixAaHo5XMOPe973qiOtV6Zi7IqyjPdcu32KsAAJBsm9LIBDZ55
 VtmC3jmXL6w8ATGFlw3oT+Wq7VqAnrNNZ2gBGSqwHhSpGtIiijM1spSW54Fq4t6Vr+JmVOKI8nH6
 EXFtANT7IdAtdH3YBcraxxlXK5nlyuNfAwCd8rE9YfMngWsB8cS8Ekzgsy3r0QA6X/1SigQ+pTcD
 xTMF/R3LFv0HkJl7e/d+MvLprP22htJ7NFx3rCcJS0J2XL408GkE9W7Gf8TrwwTxi1JfE16uylfG
 Ws9Vqs5vkTwE73qfc2rg70H17dYv17c8bOqLIYAAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDQt
 MjVUMTk6MDA6MDcrMDA6MDCDhJcRAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA0LTI1VDE5OjAw
 OjA3KzAwOjAw8tkvrQAAAABJRU5ErkJggg==
X-Now-Playing: Octo Octa's _Resonant Body_: "Ecstatic Beat"
Date: Sun, 25 Apr 2021 21:03:34 +0200
In-Reply-To: <86v98faaho.fsf@HIDDEN> (=?utf-8?Q?=22andr=C3=A9s_ram?=
 =?utf-8?Q?=C3=ADrez=22's?= message of "Wed,
 21 Apr 2021 16:05:55 +0000")
Message-ID: <87fszejiex.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  andrés ramírez <rrandresf@HIDDEN> writes: > IMO. This
    bug should be marked duplicate. OK, merged with the other bug. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47389
Cc: 47389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

andr=C3=A9s ram=C3=ADrez <rrandresf@HIDDEN> writes:

> IMO. This bug should be marked duplicate.

OK, merged with the other bug.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47389; Package emacs. Full text available.

Message received at 47389 <at> debbugs.gnu.org:


Received: (at 47389) by debbugs.gnu.org; 21 Apr 2021 16:06:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 12:06:09 2021
Received: from localhost ([127.0.0.1]:59581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZFMf-0007lG-19
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 12:06:09 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:38699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrandresf@HIDDEN>) id 1lZFMc-0007kl-9s
 for 47389 <at> debbugs.gnu.org; Wed, 21 Apr 2021 12:06:08 -0400
Received: by mail-qt1-f181.google.com with SMTP id q4so3236754qtn.5
 for <47389 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 09:06:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:organization:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=NBbxpeWfp9B8hDwE3hOIquAkfJhmB2Iv13kAFZxeDQ0=;
 b=Aa/19eNP0B6URnrsNnsxT8RNZwQef5YYQjDx7lDosV/bvWPHr9KE6ktQ91QDGbwjQi
 rY3NIBJBquigkoDwlWiK13iQGJ5u8djDeec1/1sAB3lYyk1TGSWNMS0a64FIKNDBUhZ4
 yK6eIgzNnB8QPrguzifMVlit/+6SMjhz5Wq7FpdA28ZJCp9KD4KHljujGP5GI7ZsXMLW
 8aCQAPsOlNyAp6q3EyLNHU7eKz+POwPZCtWn57crhdujaFVOaj/jzhL7O/g0AYR1w6Zv
 8z8+m+9Gpop4uKBx0bc5VemfvcSiOgZDCQpN8eNRvPPcWgWy/qP+HIOLwouMbITNxCcB
 UA/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:organization
 :references:date:message-id:mime-version:content-transfer-encoding;
 bh=NBbxpeWfp9B8hDwE3hOIquAkfJhmB2Iv13kAFZxeDQ0=;
 b=k3uf50WpS/x/CZzaSWgULsM9sjCgzsh8DjIGS3UWvX34UYTwcZLvvJd6q+oLvWCRb7
 34Dm0B9KQG6Mc6L7yX4nX/F5GYr76mssTLONDwRnqrgP1G6lR0N8bwuZtguE5LI4DgCc
 ZmBQne49nNE8wrOsKnVtUK3LXFvHKHI5SbbGsRJyjOioRC8nO8nkpq5MbMYRjtD2H/vM
 PDviB1HGtwMV/9Ryn6nSpkorpntAgPo+VQLbegd6/4BxiPIxoTQyQ03w1aSszHVRCvGU
 nhcfaJSkD74TNszUYnHdh9q8XOC9bdoBLcQXgZk/x1XVILEAajDqPU6xBzWoAQoIhMAX
 8qRQ==
X-Gm-Message-State: AOAM5310LWYlvyp/iU39Fz3zgkoDmE9UBBG68ge/VbaYsz1+N76zsjhe
 NHhMrzSK491cYQU/K0AO93uSJjlp0EPFfA==
X-Google-Smtp-Source: ABdhPJw80aAVSj8JatbiuhITkqie2Xhpqd/clvJVunlQYfUMYT/uo0Lh2cCgSKRcyIL18a741bZBog==
X-Received: by 2002:ac8:470e:: with SMTP id f14mr15073306qtp.54.1619021160603; 
 Wed, 21 Apr 2021 09:06:00 -0700 (PDT)
Received: from sacsa.n800.arm.processor.yandex.fm ([190.237.25.165])
 by smtp.gmail.com with ESMTPSA id d3sm2187397qtm.56.2021.04.21.09.05.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Apr 2021 09:05:59 -0700 (PDT)
From: =?utf-8?Q?andr=C3=A9s_ram=C3=ADrez?= <rrandresf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47389: 27.1.91; completion issue on eshell
In-Reply-To: <87lfa87pb1.fsf@HIDDEN>
Organization: bien.comun.org
References: <86czvn46dv.fsf@HIDDEN> <878s6a87ge.fsf@HIDDEN>
 <868s6af7e4.fsf@HIDDEN> <87lfa87pb1.fsf@HIDDEN>
X-Attribution: INKA
Date: Wed, 21 Apr 2021 16:05:55 +0000
Message-ID: <86v98faaho.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47389
Cc: 47389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi. Lars.

>>>>> "Lars" =3D=3D Lars Ingebrigtsen <larsi@HIDDEN> writes:

    Lars> andr=C3=A9s ram=C3=ADrez <rrandresf@HIDDEN> writes:
    >> No. I was NOT able of reproducing this with 'emacs -Q'.

    Lars> The backtrace also seems to indicate that em-cmpl file hasn't bee=
n byte-compiled at all.
    Lars> Or do you perhaps have a copy of the eshell--complete-commands-li=
st somewhere else, for
    Lars> instance in your .emacs file?

Today I was reading the list help-gnu-emacs@HIDDEN And I found this
message:
--8<---------------cut here---------------start------------->8---
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-04/msg00216.html
--8<---------------cut here---------------end--------------->8---

On that message Stefan mentions  bug#41423. On=20
bug#41423 I had been testing Stefan's 'minimalist version of the patch'. So=
 Indeed I have a copy of
the function 'eshell--complete-commands-list' at the end of my 'dot emacs'.=
 So I think this bug
report is a continuation of bug#41423.

IMO. This bug should be marked duplicate.

I am going to reply on bug#41423. Explaining the tiny added change on
Stefan's 'minimalist version of the patch' for fixing bug#47389. Perhaps St=
efan would indicate
If the change done is right.

Best Regards




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47389; Package emacs. Full text available.

Message received at 47389 <at> debbugs.gnu.org:


Received: (at 47389) by debbugs.gnu.org; 27 Mar 2021 12:56:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 08:56:48 2021
Received: from localhost ([127.0.0.1]:43540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ8Uh-0001Uf-Ux
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 08:56:48 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:46024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrandresf@HIDDEN>) id 1lQ8Uf-0001US-Sa
 for 47389 <at> debbugs.gnu.org; Sat, 27 Mar 2021 08:56:46 -0400
Received: by mail-qv1-f50.google.com with SMTP id t16so4316591qvr.12
 for <47389 <at> debbugs.gnu.org>; Sat, 27 Mar 2021 05:56:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:organization:references:date
 :message-id:mime-version;
 bh=klV1gB5TS3NVLRwKBwitPc83VXCvXWRosdjXimWzjas=;
 b=dhuDMeBp1NbNMpkjreMbulsJV6pCmylZZyM4t0FlH+GaPjHpNlCeF4rHy2lW0xpa2t
 ubIkfw8VZOS3580e9TdW7+zS7d3jsqlErwWxhUdnWEfa1G3lSqHykHEPEmN1g3FtNaNa
 7MLK5iwm+cumS5MJPOGP+BwkTOraBCh9H7IBTjQV75SRMuhFEeMKYTr38rJbSnSFKLq2
 N9BjZFOfwomp6PL3vXeJpYuRvpJUpbb/kYsAymxrQQMgRySQLAKd9JiWj0GyK4vpqz1R
 rc5ifAFpnlAzEEoG7XjTsIhsGa8yqLARS9zpWtZYhMlJwrn12EgeZslasnEf4NBSSRr9
 y3Xg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:organization
 :references:date:message-id:mime-version;
 bh=klV1gB5TS3NVLRwKBwitPc83VXCvXWRosdjXimWzjas=;
 b=Y8g0l+IuvtpbA9VExTmu1jsZ586m0TdL1n9nCoaBSX8dZZjoxumXbjE+6YAq0rsKhE
 iYY8F86tM3CIWLhF19JDJZEuYCcVY1XxUnaIeHmCCKFzDp9V3RI+SMiyInquZhFVAWQd
 ThTkXLGlSduj4Jrl9VkEQY8IJSuGodmR9PTBXW3+s6/YJrYdDz7Yo8YZgn0fWiuF/Qre
 f29ESvN40OynyBHxm5qoI2dwaWgQyv2O0HA2hlSh5rFRJRM7t0uOTmEQcVpdKGjQ5ufU
 CNU7FF+70tEqwvfJ0L+Jlzt5qzZqC4VzjHqn85ley6LuP+FDZCiEPFnIpGFuYuKhMHqo
 112A==
X-Gm-Message-State: AOAM532glLWIaQHOeJYNAKjTCd5ldx59UZXsTZIbxOw6j+5zWSoA78kd
 JwJdBVhXCPjtKU/QkuTcGoCOiz1Q+zY=
X-Google-Smtp-Source: ABdhPJyPkvTEqm5f/ZWYY8xhR47/GtzCSqKNgnFAGTV00/3izIIFi28bDDJ1TyS5rJojPVebNiKvVw==
X-Received: by 2002:a05:6214:d47:: with SMTP id
 7mr17350042qvr.48.1616849800103; 
 Sat, 27 Mar 2021 05:56:40 -0700 (PDT)
Received: from sacsa.n800.arm.processor.yandex.fm ([190.42.230.111])
 by smtp.gmail.com with ESMTPSA id e14sm8691080qka.56.2021.03.27.05.56.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 27 Mar 2021 05:56:39 -0700 (PDT)
From: =?utf-8?Q?andr=C3=A9s_ram=C3=ADrez?= <rrandresf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47389: 27.1.91; completion issue on eshell
In-Reply-To: <87lfa87pb1.fsf@HIDDEN>
Organization: bien.comun.org
References: <86czvn46dv.fsf@HIDDEN> <878s6a87ge.fsf@HIDDEN>
 <868s6af7e4.fsf@HIDDEN> <87lfa87pb1.fsf@HIDDEN>
X-Attribution: INKA
Date: Sat, 27 Mar 2021 12:56:36 +0000
Message-ID: <867dlsg3gb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi. Lars. >>>>> "Lars" == Lars Ingebrigtsen writes: [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rrandresf[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.50 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.50 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [190.42.230.111 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 47389
Cc: 47389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Hi. Lars.

>>>>> "Lars" == Lars Ingebrigtsen <larsi@HIDDEN> writes:


[...]

    Lars> In any case, what you're seeing is typically what you'd get if em-cmpl.el has been
    Lars> miscompiled somehow, or you have a copy of that file somewhere that's mangled -- it uses
    Lars> lexical binding here, but if that's not heeded, you'd get the error you're seeing.

    Lars> So I'd update and re-build Emacs and see whether that helps.

On this weekend I am going to compile 27.2. So I sent this just in case
someone else has been experiencing the same behaviour. But as far as I
understand I am the only one.

    Lars> The backtrace also seems to indicate that em-cmpl file hasn't been byte-compiled at all.
    Lars> Or do you perhaps have a copy of the eshell--complete-commands-list somewhere else, for
    Lars> instance in your .emacs file?

This is my eshell setup:
--8<---------------cut here---------------start------------->8---
https://termbin.com/2uyd
--8<---------------cut here---------------end--------------->8---

Best Regards




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47389; Package emacs. Full text available.

Message received at 47389 <at> debbugs.gnu.org:


Received: (at 47389) by debbugs.gnu.org; 27 Mar 2021 12:29:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 27 08:29:38 2021
Received: from localhost ([127.0.0.1]:43528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQ84Q-0000oA-3n
	for submit <at> debbugs.gnu.org; Sat, 27 Mar 2021 08:29:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQ84K-0000ns-Vl
 for 47389 <at> debbugs.gnu.org; Sat, 27 Mar 2021 08:29:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=cK6XzYjVCqD12e0G40qqnhTixn06wkiqVA6726O7jAw=; b=jZmb1W8lq4X/7xQgWHiwq1N00w
 1ACAnjv4ZvrjY981n3t2VfzPxVzB1PGUi6UNSoh5bP/Fghdi/DsOg9KpZSLhQhSMAbE2vG4GdX/94
 piw8wvqFQl8IQ0t6mUcuoTUMJl67MV6hG4iz2r5hkHANSStTCdC9fVvkgVE1+6dgfCcs=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQ84C-0006Wg-2S; Sat, 27 Mar 2021 13:29:26 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?andr=C3=A9s_ram=C3=ADrez?= <rrandresf@HIDDEN>
Subject: Re: bug#47389: 27.1.91; completion issue on eshell
References: <86czvn46dv.fsf@HIDDEN> <878s6a87ge.fsf@HIDDEN>
 <868s6af7e4.fsf@HIDDEN>
X-Now-Playing: Thick Pigeon's _Too Crazy Cowboys_: "Babcock + Wilcox"
Date: Sat, 27 Mar 2021 13:29:22 +0100
In-Reply-To: <868s6af7e4.fsf@HIDDEN> (=?utf-8?Q?=22andr=C3=A9s_ram?=
 =?utf-8?Q?=C3=ADrez=22's?= message of "Fri,
 26 Mar 2021 12:04:35 +0000")
Message-ID: <87lfa87pb1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  andrés ramírez <rrandresf@HIDDEN> writes: > No. I was
    NOT able of reproducing this with 'emacs -Q'. Sorry; misread your bug report.
    
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47389
Cc: 47389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

andr=C3=A9s ram=C3=ADrez <rrandresf@HIDDEN> writes:

> No. I was NOT able of reproducing this with 'emacs -Q'.

Sorry; misread your bug report.

In any case, what you're seeing is typically what you'd get if
em-cmpl.el has been miscompiled somehow, or you have a copy of that file
somewhere that's mangled -- it uses lexical binding here, but if that's
not heeded, you'd get the error you're seeing.

So I'd update and re-build Emacs and see whether that helps.

The backtrace also seems to indicate that em-cmpl file hasn't been
byte-compiled at all.  Or do you perhaps have a copy of the
eshell--complete-commands-list somewhere else, for instance in your
.emacs file?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47389; Package emacs. Full text available.

Message received at 47389 <at> debbugs.gnu.org:


Received: (at 47389) by debbugs.gnu.org; 26 Mar 2021 12:04:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 26 08:04:46 2021
Received: from localhost ([127.0.0.1]:40595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lPlCo-0001pC-NQ
	for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 08:04:46 -0400
Received: from mail-qv1-f46.google.com ([209.85.219.46]:45847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrandresf@HIDDEN>) id 1lPlCn-0001oz-9a
 for 47389 <at> debbugs.gnu.org; Fri, 26 Mar 2021 08:04:45 -0400
Received: by mail-qv1-f46.google.com with SMTP id t16so2738763qvr.12
 for <47389 <at> debbugs.gnu.org>; Fri, 26 Mar 2021 05:04:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:organization:references:date
 :message-id:mime-version;
 bh=3ttFYNcYygE5OoI6b6K1teXreQsgo3FF4UpT0cWNT+o=;
 b=eLHlECkNscYX4XSPnOGvLK2GA/yCFSxDKs+cOD8KIRburwgkELSY70aaybpU0OBHLW
 yEiwK3SGrKTDDk5o9Bj7/hJUj9SsYleeXhHLhhojFaEZMd39Rj83uSYZNEDNAIvtJbhi
 GJE0ifwv3ZT9yA4O4mHHmYuhmUbAOY9/ZVrzZtAGwv/M/ba0Wx2Nm2jM0H1gKP8ZDOH2
 mNuKYux530fsRKS9PCQrWAcLI3b++PZrtlEV5R4mWIavzsGI7fNITgrMkOiZGrDZGLcx
 cc87rtaifwtpeaihKqaVsAu+ScO0D02P3TzBsqHwCWjprcCqYhv/zY8XAQp9zaZLtffK
 0msA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:organization
 :references:date:message-id:mime-version;
 bh=3ttFYNcYygE5OoI6b6K1teXreQsgo3FF4UpT0cWNT+o=;
 b=Y/EJr61AnGsd/ojk/o4V7kfOt1okYvGTo45qbzLpF/LRuILukg+pbE0R47HRqfiOdz
 AOSls7rjuh5shBPWb3uXTrIMkl8tuG2Njymm2SbdLjk79xUeG8mFWFVoQupApJ0VlrW+
 X9BGlW+LgP+qNP9i86S1U50Ky6/XqLdG5ZkwtrkbJ28sYl9jwMA3MAYwbUammknbTuYc
 J4kirPuulcrSDgb06/l5Q72zIBFcoeWDR6lxJ8GhEXOyUPoAkoKdB/RttCCckg3WR1ay
 WBYx4vPGrmVs1VeCrO+3Eg1EYD5ZQN3iydO11w64RYCoMhO01TctxAgTge8Qnf6tJMIl
 kk6w==
X-Gm-Message-State: AOAM531fpTv0FpnYpPIf6jyPSRHdF42cXwjJpLNARDWYEPRr/uIvDqAt
 0JTNSzcyOpnJmEBU1ZdvMexpgp4OUXM=
X-Google-Smtp-Source: ABdhPJyQ1dv86omFY9yOMOUiFE0gp2wHpT25OoS96kZSBTIWoqkYk25DbNeSsOnvz+tf2A9k6sRepQ==
X-Received: by 2002:ad4:538a:: with SMTP id i10mr12881154qvv.9.1616760279548; 
 Fri, 26 Mar 2021 05:04:39 -0700 (PDT)
Received: from sacsa.n800.arm.processor.yandex.fm ([190.42.230.111])
 by smtp.gmail.com with ESMTPSA id m13sm6297655qkm.103.2021.03.26.05.04.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 26 Mar 2021 05:04:39 -0700 (PDT)
From: =?utf-8?Q?andr=C3=A9s_ram=C3=ADrez?= <rrandresf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47389: 27.1.91; completion issue on eshell
In-Reply-To: <878s6a87ge.fsf@HIDDEN>
Organization: bien.comun.org
References: <86czvn46dv.fsf@HIDDEN>
	<878s6a87ge.fsf@HIDDEN>
X-Attribution: INKA
Date: Fri, 26 Mar 2021 12:04:35 +0000
Message-ID: <868s6af7e4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hi. >>>>> "Lars" == Lars Ingebrigtsen writes: Lars> I'm
 unable
 to reproduce this bug in the emacs-27 branch, and I'm also a bit confused
 by Lars> the description of the bug. `M-/` is bound to `dabbrev-expand' in
 "emacs -Q", but your Lars> backtr [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rrandresf[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.46 listed in list.dnswl.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [190.42.230.111 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.46 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 47389
Cc: 47389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Hi.

>>>>> "Lars" == Lars Ingebrigtsen <larsi@HIDDEN> writes:


    Lars> I'm unable to reproduce this bug in the emacs-27 branch, and I'm also a bit confused by
    Lars> the description of the bug.  `M-/` is bound to `dabbrev-expand' in "emacs -Q", but your
    Lars> backtrace says `completion-at-point', which is what `TAB' is bound to.

My fault. It is TAB.

    Lars> Are you sure that this is with "emacs -Q"?  Your bug report doesn't say what check-out
    Lars> you're at, either -- is your version of the source tree current or old?

No. I was NOT able of reproducing this with 'emacs -Q'.

This is the previous release candidate "27.1.91".

Best Regards




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47389; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47389 <at> debbugs.gnu.org:


Received: (at 47389) by debbugs.gnu.org; 26 Mar 2021 11:45:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 26 07:45:19 2021
Received: from localhost ([127.0.0.1]:40549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lPkty-0005p8-RL
	for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 07:45:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lPktx-0005hd-7T
 for 47389 <at> debbugs.gnu.org; Fri, 26 Mar 2021 07:45:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=kpu5VdILu9n5/xbAgzLuHpjzt2uhTwd09Cz5IMuypxY=; b=IRnVpD/JbnG7v5oeoxvG1XtyxF
 7oYcVsQ2bINFYNhT/DfbpB7G6gHP2pSzLExov65p6eZlkWwrkRuj2PtDE0jAb0MKIme/u4zmLpP3g
 o4WGAHJpzzg5oMkwXWciI7vCoszC23qxu9mDUbjkPNFO/OMJSJkPZCt9AjzZsZsgKmbA=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lPktn-0000tJ-9e; Fri, 26 Mar 2021 12:45:10 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?Andr=C3=A9s_Ram=C3=ADrez?= <rrandresf@HIDDEN>
Subject: Re: bug#47389: 27.1.91; completion issue on eshell
References: <86czvn46dv.fsf@HIDDEN>
X-Now-Playing: Kraftwerk's _Radio-Activity_: "Radioactivity"
Date: Fri, 26 Mar 2021 12:45:05 +0100
In-Reply-To: <86czvn46dv.fsf@HIDDEN> (=?utf-8?Q?=22Andr=C3=A9s_Ram?=
 =?utf-8?Q?=C3=ADrez=22's?= message of "Thu,
 25 Mar 2021 15:09:32 +0000")
Message-ID: <878s6a87ge.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Andrés Ramírez <rrandresf@HIDDEN> writes: > Hi. I have
    not being able of reproducing this issue with emacs -Q. It > just happens
    sometimes when trying completion M-/ on eshell. On this case I > was trying
    fsc (for fsck). And this is the error [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47389
Cc: 47389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andr=C3=A9s Ram=C3=ADrez <rrandresf@HIDDEN> writes:

> Hi. I have not being able of reproducing this issue with emacs -Q. It
> just happens sometimes when trying completion M-/ on eshell. On this case=
 I
> was trying fsc (for fsck). And this is the error message:
>
> Debugger entered--Lisp error: (void-variable glob-name)
>   (if glob-name completions (setq completions (append (if (fboundp 'eshel=
l-al

[...]

>   completion-at-point()
>   funcall-interactively(completion-at-point)
>   call-interactively(completion-at-point nil nil)
>   command-execute(completion-at-point)

I'm unable to reproduce this bug in the emacs-27 branch, and I'm also a
bit confused by the description of the bug.  `M-/` is bound to
`dabbrev-expand' in "emacs -Q", but your backtrace says
`completion-at-point', which is what `TAB' is bound to.

Are you sure that this is with "emacs -Q"?  Your bug report doesn't say
what check-out you're at, either -- is your version of the source tree
current or old?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47389; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Mar 2021 15:09:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 25 11:09:47 2021
Received: from localhost ([127.0.0.1]:39229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lPRcI-000275-HW
	for submit <at> debbugs.gnu.org; Thu, 25 Mar 2021 11:09:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:38830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrandresf@HIDDEN>) id 1lPRcG-00026v-5W
 for submit <at> debbugs.gnu.org; Thu, 25 Mar 2021 11:09:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35524)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rrandresf@HIDDEN>)
 id 1lPRcE-000891-HA
 for bug-gnu-emacs@HIDDEN; Thu, 25 Mar 2021 11:09:44 -0400
Received: from mail-qk1-x72a.google.com ([2607:f8b0:4864:20::72a]:45705)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <rrandresf@HIDDEN>)
 id 1lPRcA-0000Ef-9p
 for bug-gnu-emacs@HIDDEN; Thu, 25 Mar 2021 11:09:41 -0400
Received: by mail-qk1-x72a.google.com with SMTP id q3so2037943qkq.12
 for <bug-gnu-emacs@HIDDEN>; Thu, 25 Mar 2021 08:09:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Ldvv1ebUjNGKJQD+K0im12GTohRnNjyPBGFyC2gNT3I=;
 b=K3XFvnHHJ6Ok2EX4WNqe3gBmBnEFR5jDqpp28OZO5KnX38UMg8Hl12zPWxz0GF1eMj
 Kfa2DxFbbqoNHRBMgtn7Gsp6t/gk3HkszdfbLF3HJw6sjqvd/rwHm87gt6gc1ZP6PCBz
 90HLn+clMH9fHQTQ+vo3QrCU6DE/NeRo0WZyzD4JdV5sT3Tf/UNDowfvRphG3j/5fxW2
 JsZdRr5jnMkBPqcZNJhtcy2F3cv6NTsVvb4KbEs+1Z+V6E4hOGGAw16GhSGwWsn5ue1L
 gVXWiOrVDjmGvTW8VWuP/hqdGwwF4RNgyiFw+nMldg7/jmBCJRfqcOqwTjtctIw3Mo5X
 OyiQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Ldvv1ebUjNGKJQD+K0im12GTohRnNjyPBGFyC2gNT3I=;
 b=r84h5Dly4FNIf91pdryRN1z7Xzrma8TXrWbEOdeEizzG60+Ohp35dKkmmdA+MnKVCF
 +pUH5pNzA8ejbMw9aZ3mzKErvzLozb2rQyJq0TgyEEnPdcd/WmpombcddcZrph5qa4py
 a6UzENzP9+kkW+zEeldw5CUZjIWORwOIoQ3Yb8Agnkh74g41IWnJeu7EA9j4Ey4t5C7Z
 qvlKwDIZTUtkx7HN9CWsewoXSDuyhAvc8cE1eO+vchmVx0I/VajhOQ0CQZAMezGoUsaA
 XNBJkhCKtFl1oenJs5V/cvLq6KNqd5ngqkWBnCZWI588hB3FMV6qeIcuFxUYBK2T/jVm
 BcDw==
X-Gm-Message-State: AOAM533KcUfoEUViGI/NggqCzM1AJIIwqPNp1BszSRJIt+rVDVifN7XU
 e8shBWie++INxj9iB1xqhe6PyH2x96s=
X-Google-Smtp-Source: ABdhPJyJovRpsISeRwnaAMM9T2Yi2CXqOMn56EqGQYqFuz/sIduSqjnJ6u4gJMxPdSKok+iSheqz2g==
X-Received: by 2002:a37:9d53:: with SMTP id g80mr8723708qke.499.1616684975926; 
 Thu, 25 Mar 2021 08:09:35 -0700 (PDT)
Received: from sacsa.n800.arm.processor.yandex.fm ([190.42.230.111])
 by smtp.gmail.com with ESMTPSA id o23sm3790367qtm.31.2021.03.25.08.09.34
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 25 Mar 2021 08:09:35 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9s_Ram=C3=ADrez?= <rrandresf@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1.91; completion issue on eshell
Date: Thu, 25 Mar 2021 15:09:32 +0000
Message-ID: <86czvn46dv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::72a;
 envelope-from=rrandresf@HIDDEN; helo=mail-qk1-x72a.google.com
X-Spam_score_int: -5
X-Spam_score: -0.6
X-Spam_bar: /
X-Spam_report: (-0.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_SORBS_WEB=1.5, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Hi. I have not being able of reproducing this issue with emacs -Q. It
just happens sometimes when trying completion M-/ on eshell. On this case I
was trying fsc (for fsck). And this is the error message:
--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (void-variable glob-name)
  (if glob-name completions (setq completions (append (if (fboundp 'eshell-=
alias-completions) (eshell-alias-completions filename)) (eshell-winnow-list=
 (mapcar #'(lambda (name) (substring name 7)) (all-completions (concat "esh=
ell/" filename) obarray #'functionp)) nil '(eshell-find-alias-function)) co=
mpletions)) (append (and (or eshell-show-lisp-completions (and eshell-show-=
lisp-alternatives (null completions))) (all-completions filename obarray #'=
functionp)) completions))
  (pcomplete-uniquify-list (if glob-name completions (setq completions (app=
end (if (fboundp 'eshell-alias-completions) (eshell-alias-completions filen=
ame)) (eshell-winnow-list (mapcar #'(lambda ... ...) (all-completions (conc=
at "eshell/" filename) obarray #'functionp)) nil '(eshell-find-alias-functi=
on)) completions)) (append (and (or eshell-show-lisp-completions (and eshel=
l-show-lisp-alternatives (null completions))) (all-completions filename oba=
rray #'functionp)) completions)))
  (let* ((paths (eshell-get-path)) (cwd (file-name-as-directory (expand-fil=
e-name default-directory))) (path "") (comps-in-path nil) (file "") (filepa=
th "") (completions nil)) (while paths (setq path (file-name-as-directory (=
expand-file-name (or (car paths) "."))) comps-in-path (and (file-accessible=
-directory-p path) (file-name-all-completions filename path))) (while comps=
-in-path (setq file (car comps-in-path) filepath (concat path file)) (if (a=
nd (not (member file completions)) (or (string-equal path cwd) (not (file-d=
irectory-p filepath))) (if eshell-force-execution (file-readable-p filepath=
) (file-executable-p filepath))) (setq completions (cons file completions))=
) (setq comps-in-path (cdr comps-in-path))) (setq paths (cdr paths))) (pcom=
plete-uniquify-list (if glob-name completions (setq completions (append (if=
 (fboundp 'eshell-alias-completions) (eshell-alias-completions filename)) (=
eshell-winnow-list (mapcar #'... (all-completions ... obarray ...)) nil '(e=
shell-find-alias-function)) completions)) (append (and (or eshell-show-lisp=
-completions (and eshell-show-lisp-alternatives (null completions))) (all-c=
ompletions filename obarray #'functionp)) completions))))
  (if (file-name-directory filename) (if eshell-force-execution (pcomplete-=
dirs-or-entries nil #'file-readable-p) (pcomplete-executables)) (let* ((pat=
hs (eshell-get-path)) (cwd (file-name-as-directory (expand-file-name defaul=
t-directory))) (path "") (comps-in-path nil) (file "") (filepath "") (compl=
etions nil)) (while paths (setq path (file-name-as-directory (expand-file-n=
ame (or (car paths) "."))) comps-in-path (and (file-accessible-directory-p =
path) (file-name-all-completions filename path))) (while comps-in-path (set=
q file (car comps-in-path) filepath (concat path file)) (if (and (not (memb=
er file completions)) (or (string-equal path cwd) (not ...)) (if eshell-for=
ce-execution (file-readable-p filepath) (file-executable-p filepath))) (set=
q completions (cons file completions))) (setq comps-in-path (cdr comps-in-p=
ath))) (setq paths (cdr paths))) (pcomplete-uniquify-list (if glob-name com=
pletions (setq completions (append (if (fboundp ...) (eshell-alias-completi=
ons filename)) (eshell-winnow-list (mapcar ... ...) nil '...) completions))=
 (append (and (or eshell-show-lisp-completions (and eshell-show-lisp-altern=
atives ...)) (all-completions filename obarray #'functionp)) completions)))=
))
  (lambda (filename) (if (file-name-directory filename) (if eshell-force-ex=
ecution (pcomplete-dirs-or-entries nil #'file-readable-p) (pcomplete-execut=
ables)) (let* ((paths (eshell-get-path)) (cwd (file-name-as-directory (expa=
nd-file-name default-directory))) (path "") (comps-in-path nil) (file "") (=
filepath "") (completions nil)) (while paths (setq path (file-name-as-direc=
tory (expand-file-name ...)) comps-in-path (and (file-accessible-directory-=
p path) (file-name-all-completions filename path))) (while comps-in-path (s=
etq file (car comps-in-path) filepath (concat path file)) (if (and ... ... =
...) (setq completions ...)) (setq comps-in-path (cdr comps-in-path))) (set=
q paths (cdr paths))) (pcomplete-uniquify-list (if glob-name completions (s=
etq completions (append ... ... completions)) (append (and ... ...) complet=
ions))))))(#("fsc" 0 1 (arg-begin t rear-nonsticky (arg-begin arg-end)) 2 3=
 (arg-end t rear-nonsticky (arg-end arg-begin))))
  #f(compiled-function (string pred action) #<bytecode -0x1fffffff520945a8>=
)(#("fsc" 0 1 (arg-begin t rear-nonsticky (arg-begin arg-end)) 2 3 (arg-end=
 t rear-nonsticky (arg-end arg-begin))) nil nil)
  try-completion(#("fsc" 0 1 (arg-begin t rear-nonsticky (arg-begin arg-end=
)) 2 3 (arg-end t rear-nonsticky (arg-end arg-begin))) #f(compiled-function=
 (string pred action) #<bytecode -0x1fffffff520945a8>) nil)
  completion-basic-try-completion(#("fsc" 0 1 (rear-nonsticky (arg-begin ar=
g-end) arg-begin t) 2 3 (rear-nonsticky (arg-end arg-begin) arg-end t)) #f(=
compiled-function (string pred action) #<bytecode -0x1fffffff520945a8>) nil=
 3)
  #f(compiled-function (style) #<bytecode -0x1fffffff52081dc8>)(basic)
  completion--some(#f(compiled-function (style) #<bytecode -0x1fffffff52081=
dc8>) (basic partial-completion emacs22))
  completion--nth-completion(1 #("fsc" 0 1 (rear-nonsticky (arg-begin arg-e=
nd) arg-begin t) 2 3 (rear-nonsticky (arg-end arg-begin) arg-end t)) #f(com=
piled-function (string pred action) #<bytecode -0x1fffffff520949d8>) nil 3 =
(metadata (completion--unquote-requote . t)))
  completion-try-completion(#("fsc" 0 1 (rear-nonsticky (arg-begin arg-end)=
 arg-begin t) 2 3 (rear-nonsticky (arg-end arg-begin) arg-end t)) #f(compil=
ed-function (string pred action) #<bytecode -0x1fffffff520949d8>) nil 3 (me=
tadata (completion--unquote-requote . t)))
  completion--do-completion(#<marker at 1471 in *eshell*> 1474)
  completion--in-region-1(#<marker at 1471 in *eshell*> 1474)
  #f(compiled-function (start end collection predicate) #<bytecode -0x1ffff=
fff4df2e098>)(#<marker at 1471 in *eshell*> 1474 #f(compiled-function (stri=
ng pred action) #<bytecode -0x1fffffff520949d8>) nil)
  apply(#f(compiled-function (start end collection predicate) #<bytecode -0=
x1fffffff4df2e098>) (#<marker at 1471 in *eshell*> 1474 #f(compiled-functio=
n (string pred action) #<bytecode -0x1fffffff520949d8>) nil))
  #f(compiled-function (funs global args) #<bytecode -0x1fffffff52095138>)(=
nil nil (#<marker at 1471 in *eshell*> 1474 #f(compiled-function (string pr=
ed action) #<bytecode -0x1fffffff520949d8>) nil))
  completion--in-region(#<marker at 1471 in *eshell*> 1474 #f(compiled-func=
tion (string pred action) #<bytecode -0x1fffffff520949d8>) nil)
  completion-in-region(#<marker at 1471 in *eshell*> 1474 #f(compiled-funct=
ion (string pred action) #<bytecode -0x1fffffff520949d8>) nil)
  completion-at-point()
  funcall-interactively(completion-at-point)
  call-interactively(completion-at-point nil nil)
  command-execute(completion-at-point)
--8<---------------cut here---------------end--------------->8---

Hope It helps.
Best Regards


In GNU Emacs 27.1.91 (build 1, armv7l-unknown-linux-gnueabihf, X toolkit, c=
airo version 1.17.4, Xaw3d scroll bars)
 of 2021-03-02 built on sacsa
System Description: Arch Linux ARM

Recent messages:
EMMS: 1600 tracks to go..
EMMS: 1400 tracks to go..
EMMS: 1200 tracks to go..
EMMS: 1000 tracks to go..
EMMS: 800 tracks to go..
EMMS: 600 tracks to go..
EMMS: 400 tracks to go..
EMMS: 200 tracks to go..
EMMS: All track information loaded.

Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dlucid --with-xft --with-wide-int
 --with-modules --with-cairo --with-harfbuzz --with-json=3Dyes
 'CFLAGS=3D-march=3Darmv7-a -mfloat-abi=3Dhard -mfpu=3Dvfpv3-d16 -O2 -pipe
 -fstack-protector-strong -fno-plt' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  gpm-mouse-mode: t
  erc-list-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-netsplit-mode: t
  shell-dirtrack-mode: t
  display-time-mode: t
  which-key-mode: t
  jabber-activity-mode: t
  which-function-mode: t
  savehist-mode: t
  show-paren-mode: t
  erc-networks-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-hl-nicks-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t

Load-path shadows:
/home/olla/.emacs.d/elpa/circe-20180420.226/shorten hides /home/olla/.emacs=
.d/elpa/tracking-20201101.1045/shorten
/home/olla/.emacs.d/elpa/circe-20180420.226/tracking hides /home/olla/.emac=
s.d/elpa/tracking-20201101.1045/tracking
/home/olla/.emacs.d/elpa/flim-20190526.1034/md4 hides /usr/share/emacs/27.1=
.91/lisp/md4
/home/olla/.emacs.d/elpa/flim-20190526.1034/hex-util hides /usr/share/emacs=
/27.1.91/lisp/hex-util
/home/olla/.emacs.d/elpa/xref-1.0.3/xref hides /usr/share/emacs/27.1.91/lis=
p/progmodes/xref
/home/olla/.emacs.d/elpa/project-0.3.0/project hides /usr/share/emacs/27.1.=
91/lisp/progmodes/project
/home/olla/.emacs.d/elpa/flymake-1.0.9/flymake hides /usr/share/emacs/27.1.=
91/lisp/progmodes/flymake
/home/olla/.emacs.d/elpa/flim-20190526.1034/sasl-digest hides /usr/share/em=
acs/27.1.91/lisp/net/sasl-digest
/home/olla/.emacs.d/elpa/flim-20190526.1034/sasl hides /usr/share/emacs/27.=
1.91/lisp/net/sasl
/home/olla/.emacs.d/elpa/flim-20190526.1034/sasl-ntlm hides /usr/share/emac=
s/27.1.91/lisp/net/sasl-ntlm
/home/olla/.emacs.d/elpa/flim-20190526.1034/sasl-cram hides /usr/share/emac=
s/27.1.91/lisp/net/sasl-cram
/home/olla/.emacs.d/elpa/flim-20190526.1034/hmac-md5 hides /usr/share/emacs=
/27.1.91/lisp/net/hmac-md5
/home/olla/.emacs.d/elpa/flim-20190526.1034/ntlm hides /usr/share/emacs/27.=
1.91/lisp/net/ntlm
/home/olla/.emacs.d/elpa/flim-20190526.1034/hmac-def hides /usr/share/emacs=
/27.1.91/lisp/net/hmac-def
/home/olla/.emacs.d/elpa/eldoc-1.9.0/eldoc hides /usr/share/emacs/27.1.91/l=
isp/emacs-lisp/eldoc

Features:
(shadow emacsbug dired-aux two-column iso-transl tramp-cache tramp-sh
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
ls-lisp ace-window avy t-mouse term/linux help-fns radix-tree cl-print
debug backtrace ibuf-ext ibuffer ibuffer-loaddefs dabbrev mime-pgp
mailalias smtpmail qp mail-extr mel-q-ccl w3m-form w3m-symbol
my-w3m-setup w3m-filter w3m-lnum mime-w3m w3m w3m-hist w3m-fb
bookmark-w3m w3m-ems w3m-favicon w3m-image tab-line w3m-proc w3m-util
wl-score elmo-internal async ox-beamer ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox
wgrep grep compile dired-x jabber-keepalive jabber-ping erc-list
erc-ring erc-pcomplete erc-netsplit rot13 network-stream nsm
elmo-maildir modb-legacy modb-standard epa-file my-wl-secondary-setup
wl-fldmgr wl-template wl-demo wl-thread wl-action wl wl-draft wl-folder
elmo-nntp elmo-net elmo-cache elmo-map elmo-dop elmo-filter wl-summary
wl-refile wl-message wl-mime mime-play filename emu mime-edit sendmail
mime-setup mail-mime-setup semi-setup wl-e21 wl-highlight invisible
inv-23 elmo-mime mmelmo-buffer mmelmo-imap mmimap mmbuffer mime-view
mime-conf calist semi-def wl-address wl-util wl-vars wl-version
modb-generic elmo-flag elmo-localdir elmo elmo-signal elmo-msgdb modb
modb-entity elmo-date eword-encode poem poem-e20 poem-e20_3 mime-parse
mime mmgeneric elmo-util eword-decode mel mime-def alist mcharset mcs-20
mcs-e20 pces pces-e20 pces-20 pcustom elmo-vars path-util elmo-version
luna std11 pccl pccl-20 ccl broken poe pym static apel-ver product
misearch multi-isearch add-log mhtml-mode css-mode js htmlize view
mule-util cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays hol-loaddefs org-duration cal-iso face-remap org-agenda
org-refile term/xterm xterm shell em-unix em-term term disp-table ehelp
em-script em-prompt em-ls em-hist em-pred em-glob em-dirs esh-var
em-cmpl em-basic em-banner eshell my-noexternals my-machine-autostart
diary-lib diary-loaddefs sh-script executable org-element avl-tree
generator ol-eww eww mm-url url-queue ol-rmail ol-mhe ol-irc ol-info
ol-gnus nnir gnus-sum shr svg gnus-group gnus-undo gnus-start gnus-cloud
nnimap nnmail mail-source utf7 nnoo parse-time iso8601 gnus-spec
gnus-int gnus-range message rmc rfc822 mml mml-sec epa epg epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 gmm-utils mailheader
gnus-win gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045
ietf-drums text-property-search mail-utils mm-util mail-prsvr ol-docview
doc-view image-mode exif ol-bibtex bibtex ol-bbdb ol-w3m filenotify time
which-key god-mode cl-extra help-mode org-wl org ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-compat org-macs org-loaddefs find-func cal-menu calendar
cal-loaddefs sm-c-mode smie server emms-get-lyrics my-wl-setup
my-jabber-setup netrc jabber jabber-notifications jabber-libnotify
jabber-awesome jabber-osd jabber-wmii jabber-xmessage jabber-festival
jabber-sawfish jabber-ratpoison jabber-tmux jabber-screen jabber-socks5
jabber-ft-server jabber-si-server jabber-ft-client jabber-ft-common
jabber-si-client jabber-si-common jabber-feature-neg jabber-truncate
jabber-time jabber-autoaway jabber-vcard-avatars jabber-chatstates
jabber-events jabber-vcard jabber-avatar jabber-activity jabber-watch
jabber-modeline jabber-ahc-presence jabber-ahc jabber-version
jabber-ourversion jabber-muc-nick-completion hippie-exp comint
ansi-color ring jabber-browse jabber-search jabber-register
jabber-roster jabber-presence jabber-muc jabber-bookmarks jabber-private
jabber-muc-nick-coloring hexrgb jabber-widget jabber-disco jabber-chat
jabber-history jabber-chatbuffer jabber-alert jabber-iq jabber-core
jabber-console sgml-mode dom ewoc jabber-keymap jabber-sasl sasl
sasl-anonymous sasl-login sasl-plain fsm jabber-logon jabber-conn srv
dns starttls tls gnutls puny jabber-xml jabber-menu jabber-util
emms-librefm-stream emms-librefm-scrobbler emms-playlist-limit
emms-volume emms-volume-mixerctl emms-volume-pulse emms-volume-amixer
emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-cue emms-mode-line-icon
emms-browser sort emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd tq emms-playing-time emms-lyrics emms-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap time-date emms-streams emms-show-all emms-tag-editor
emms-mark emms-mode-line emms-cache emms-info-native bindat
emms-info-exiftool emms-info-tinytag emms-info-metaflac
emms-info-opusinfo emms-info-ogginfo emms-info-mp3info emms-info
emms-later-do emms-playlist-mode emms-player-vlc emms-player-mpv
emms-player-mplayer emms-player-simple emms-source-playlist
emms-source-file locate dired dired-loaddefs emms-setup emms emms-compat
key-chord bbdb-sc supercite regi bbdb-wl bbdb-mua bbdb-com crm
mailabbrev bbdb bbdb-site timezone jka-compr mbsync my-misc-setup ido
which-func savehist paren alert log4e derived rx notifications dbus xml
gntp vc-git diff-mode em-alias em-smart esh-mode esh-cmd esh-ext esh-opt
esh-proc esh-io esh-arg esh-module esh-groups esh-util my-erc-setup
erc-services erc-networks erc-track erc-match erc-sasl cl erc-menu
erc-join erc-hl-nicks color erc-button erc-fill erc-stamp wid-edit
erc-goodies erc erc-backend erc-compat format-spec pp erc-loaddefs
my-defuns-setup pcase easy-mmode imenu thingatpt info-look
google-c-style gtags cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs lemacs-public edmacro
kmacro advice w3m-load info package easymenu browse-url url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1165136 889542)
 (symbols 48 55198 1)
 (strings 16 232721 145594)
 (string-bytes 1 8109511)
 (vectors 16 90906)
 (vector-slots 8 2030721 332059)
 (floats 8 1225 5448)
 (intervals 40 52593 15453)
 (buffers 880 120))




Acknowledgement sent to Andrés Ramírez <rrandresf@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47389; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 May 2021 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.